package com.ningdatech.pmapi.user.entity.enumeration;

import lombok.Getter;

/**
 * <p>
 * 系统角色枚举（内置角色）
 * </p>
 *
 * @author WendyYang
 * @since 14:15 2023/1/13
 */
@Getter
public enum RoleEnum {

    /**
     * 系统角色枚举
     */
    ORDINARY_USER("普通用户"),

    EXPERT("专家"),

    ORG_ADMIN("单位管理员"),

    EXPERT_ADMIN("专家管理员"),

    REGION_ADMIN("区域管理员"),

    SUPER_ADMIN("超级管理员");

    private final String desc;

    RoleEnum(String desc) {
        this.desc = desc;
    }

    public boolean eq(String name) {
        return this.name().equals(name);
    }

}
